package com.seeyon.apps.esign.po.signer;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.seeyon.apps.esign.po.signfield.SignField;

import java.util.List;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Signer {
    private int signerType;
    private Map<String,Object> signConfig;
    private Map<String,Object> noticeConfig;
    private Map<String,Object> orgSignerInfo;
    private Map<String,Object> psnSignerInfo;
    private List<SignField> signFields;

    public int getSignerType() {
        return signerType;
    }

    public void setSignerType(int signerType) {
        this.signerType = signerType;
    }

    public Map<String, Object> getNoticeConfig() {
        return noticeConfig;
    }

    public void setNoticeConfig(Map<String, Object> noticeConfig) {
        this.noticeConfig = noticeConfig;
    }

    public Map<String, Object> getOrgSignerInfo() {
        return orgSignerInfo;
    }

    public void setOrgSignerInfo(Map<String, Object> orgSignerInfo) {
        this.orgSignerInfo = orgSignerInfo;
    }

    public Map<String, Object> getPsnSignerInfo() {
        return psnSignerInfo;
    }

    public void setPsnSignerInfo(Map<String, Object> psnSignerInfo) {
        this.psnSignerInfo = psnSignerInfo;
    }

    public List<SignField> getSignFields() {
        return signFields;
    }

    public void setSignFields(List<SignField> signFields) {
        this.signFields = signFields;
    }

    public Map<String, Object> getSignConfig() {
        return signConfig;
    }

    public void setSignConfig(Map<String, Object> signConfig) {
        this.signConfig = signConfig;
    }
}
